﻿.order-list {
    padding: 15px;
    font-size: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: white;
    border-top: solid 1px #eee;
    color: black;
}

.timer {
    display: flex;
    justify-content: center;
    margin: 15px 0px;
}

.t-div {
    margin: 5px 15px;
    text-align: center
}

.t-number {
    background: var(--g-grad);
    font-size: 68px;
    color: #000;
    font-family: 'Comfortaa';
    border-radius: 10px;
    padding: 6px 15px;
    display: block;
    width: 100px;
    height: 100px;
    font-weight: bold;
    border: solid 1px #eee;
}

.late {
    background: var(--red);
    color: white;
}

.t-words {
    margin: 5px;
    text-transform: uppercase;
    font-weight: var(--bold);
    color: var(--d-grey);
}

.s-pending,
.s-cancel,
.s-complete,
.s-modification,
.s-dispute,
.s-delivered {
    padding: 3px 4px;
    text-transform: uppercase;
    color: white;
    border-radius: 3px;
    font-weight: 600;
    font-size: 9px;
    width: 65px !important;
    text-align: center;
    display: block;
}

.s-pending {
    background: var(--grey);
}

.s-cancel {
    background: var(--black);
}

.s-complete {
    background: var(--green);
}

.s-modification {
    background: var(--blue);
}

.s-dispute {
    background: var(--red);
}

.s-delivered {
    background: var(--theme-color);
}


.d-pending,
.d-cancel,
.d-complete,
.d-modification,
.d-dispute,
.d-delivered {
    padding: 5px;
    position: sticky;
    top: 61px;
    width: 100%;
    z-index: 10;
    margin-bottom: 20px;
    box-shadow: 0 0 4px 1px rgba(0,0,0,.15)
}

.d-pending {
    background: var(--white);
    color: var(--grey);
}

.d-cancel {
    color: var(--white);
    background: var(--black);
}

.d-complete {
    background: var(--green);
    color: var(--white);
}

.d-modification {
    background: var(--white);
    color: var(--blue);
}

.d-dispute {
    color: var(--white);
    background: var(--red);
}

.d-delivered {
    color: var(--white);
    background: var(--theme-color);
}

.o-awaiting,
.o-pending,
.o-delivered,
.o-modification,
.o-dispute,
.o-dispute-r,
.o-cancel,
.o-completed {
    font-weight: var(--bold);
    text-transform: uppercase;
    font-size: 15px;
    line-height: 30px;
    margin-top: 9px;
    display: block;
    color: var(--d-grey)
}

    .o-awaiting:before,
    .o-delivered:before,
    .o-modification:before,
    .o-cancel:before,
    .o-completed:before,
    .o-dispute:before,
    .o-dispute-r:before,
    .o-pending:before {
        content: "";
        background-size: contain;
        background-position: top;
        height: 50px;
        display: block;
        background-repeat: no-repeat;
    }


    .o-awaiting:before {
        background-image: url('../Images/awaiting.png');
    }

    .o-delivered:before {
        background-image: url('../Images/orderdilevered.png');
    }

    .o-modification:before {
        background-image: url('../Images/ordermodi.png');
    }

    .o-cancel:before {
        background-image: url('../Images/ordercencel.png');
    }

    .o-dispute:before {
        background-image: url('../Images/orderdispute.png');
    }
    .o-dispute-r:before {
        background-image: url('../Images/orderdispute.png');
    }

    .o-completed:before {
        background-image: url('../Images/ordercomplete.png');
    }

    .o-pending:before {
        background-image: url('../Images/orderstarted.png');
    }

.w-delivered {
    position: absolute;
    background: white;
    top: 50px;
    right: 0px;
    left: 0px;
    bottom: 0px;
    padding: 10% 15%;
    font-size: 19px;
    color: var(--green)
}

    .w-delivered:empty {
        display: none;
    }

.accept-btn {
    padding: 3px 20px;
    font-size: 12px;
    text-transform: capitalize;
    font-weight: 600;
    background: var(--white) !important;
    color: var(--theme-color);
    border: 1px solid var(--theme-color);
}

.reject-btn {
    padding: 3px 20px;
    font-size: 12px;
    text-transform: capitalize;
    font-weight: 600;
    background: var(--white) !important;
    color: var(--grey) !important;
    border: 1px solid var(--grey);
}



.h-600 {
    height: 600px;
    overflow: auto;
}

.i-acount {
    padding: 12px 5px;
    border-bottom: solid 1px #eee;
}

    .i-acount:last-child {
        border: none;
    }


    .i-acount a {
        color: black
    }

    .i-acount .a-image {
        width: 40px;
        height: 40px;
        border-radius: 100%;
        border: solid 1px #eee;
        margin-right: 5px;
    }

    .i-acount .a-type {
        width: 40px;
        float: right;
    }

    .i-acount p {
        margin: 0px;
    }

.divpopup {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.7);
    transition: opacity 500ms;
    visibility: hidden;
    opacity: 0;
    z-index: 1000001
}

    .divpopup:target {
        visibility: visible;
        opacity: 1;
    }

.popup {
    margin: 150px auto;
}


@media screen and (max-width: 768px) {

    .d-pending, .d-cancel, .d-complete, .d-modification, .d-dispute, .d-delivered {
        top: 54px;
        margin-bottom: 0px;
    }


    .o-deliverd,
    .o-modification,
    .o-cancel,
    .o-completed,
    .o-dispute,
    .o-dispute-r {
        font-size: 15px;
        line-height: 20px;
        margin-top: 5px;
    }


        .o-deliverd:before,
        .o-modification:before,
        .o-cancel:before,
        .o-completed:before,
        .o-dispute:before,
        .o-dispute-r:before {
            height: 25px;
        }

    .t-number {
        font-size: 35px;
        padding: 6px 10px;
        width: 60px;
        height: 60px;
    }

    .t-div {
        margin: 5px 10px;
        text-align: center
    }

    .timer {
        margin: 15px 0px;
    }

    .h-600 {
        height: 100%;
        overflow: auto;
    }

    .order-list {
        padding: 15px;
        font-size: 12px;
        display: block;
        justify-content: center;
        align-items: center;
        background: white;
        font-weight: 500;
        line-height: 23px;
    }


    .mylist {
        padding: 15px;
        font-size: 12px;
        display: block;
        justify-content: center;
        align-items: center;
        background: white;
        font-weight: 600;
        line-height: 23px;
    }

    .top-header {
        background-position: top;
        padding: 0px;
        background-repeat: no-repeat;
    }

        .top-header h1 {
            font-weight: bold;
            font-size: 20px;
        }
}
/*------------------------------------------------------*/
